Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::OrientedBox Class Reference

指向性ボックス More...

`#include <OrientedBox.h>`

List of all members.

## Public Member Functions
| OrientedBox ()
| コンストラクタ
| OrientedBox (const Matrix33 &rotationMatrix, const Vector3 &center, const Vector3 &extent)
| コンストラクタ
| OrientedBox (float rotation00, float rotation01, float rotation02, float rotation10, float rotation11, float rotation12, float rotation20, float rotation21, float rotation22, float centerX, float centerY, float centerZ, float extentX, float extentY, float extentZ)
| コンストラクタ
| OrientedBox (const float *const source)
| コンストラクタ
void | set (const Matrix33 &rotationMatrix, const Vector3 &center, const Vector3 &extent)
| 値の設定
void | set (float rotation00, float rotation01, float rotation02, float rotation10, float rotation11, float rotation12, float rotation20, float rotation21, float rotation22, float centerX, float centerY, float centerZ, float extentX, float extentY, float extentZ)
| 値の設定
void | set (const float *const source)
| 値の設定
void | setRotationMatrix (const Matrix33 &rotationMatrix)
| 回転行列の設定
void | setRotationXYZ (const Vector3 rotationXYZ)
| XYZ回転の設定.
void | setRotationQuaternion (const Quaternion &rotationQuaternion)
| 四元数回転の設定
void | setCenter (const Vector3 &center)
| 中心の設定
void | setExtent (const Vector3 &extent)
| 大きさの設定
const Matrix33 & | getRotationMatrix () const
| 回転行列の取得
const Vector3 & | getCenter () const
| 中心の取得
const Vector3 & | getExtent () const
| 大きさの取得
Vector3 | getSize () const
| サイズの取得
Vector3 | getAxis (int index) const
| 軸の取得
Vector3 | getAxisX () const
| X軸の取得.
Vector3 | getAxisY () const
| Y軸の取得.
Vector3 | getAxisZ () const
| Z軸の取得.
Vector3 | getExtendedAxis (int index) const
| 大きさを適用した軸の取得
Vector3 | getExtendedAxisX () const
| 大きさを適用したX軸の取得
Vector3 | getExtendedAxisY () const
| 大きさを適用したY軸の取得
Vector3 | getExtendedAxisZ () const
| 大きさを適用したZ軸の取得
float | getEffectiveDiameter (const Vector3 &direction) const
| 実効直径の取得
float | getEffectiveRadius (const Vector3 &direction) const
| 実効半径の取得
Vector3 | getCorner (int index) const
| コーナーの取得
void | getCornerArray (Vector3 corner[8]) const
| コーナー配列の取得
bool | isZero () const
| ゼロボックスかどうか
bool | isUnit () const
| 単位ボックスかどうか
OrientedBox | transform (const Matrix33 &matrix) const
| トランスフォーム
OrientedBox | transform (const Matrix34 &matrix) const
| トランスフォーム
OrientedBox | transform (const Matrix44 &matrix) const
| トランスフォーム
AxisAlignedBox | scaledTransform (const Matrix33 &matrix) const
| スケール有りトランスフォーム
AxisAlignedBox | scaledTransform (const Matrix34 &matrix) const
| スケール有りトランスフォーム
AxisAlignedBox | scaledTransform (const Matrix44 &matrix) const
| スケール有りトランスフォーム
float | getDistance (const Vector3 &point) const
| 点距離
float | getSquaredDistance (const Vector3 &point) const
| 点距離の二乗
float | getDistance (const AxisAlignedBox &axisAlignedBox) const
| 軸沿いボックス距離
float | getSquaredDistance (const AxisAlignedBox &axisAlignedBox) const
| 軸沿いボックス距離の二乗
float | getDistance (const Capsule &capsule) const
| カプセル距離
float | getSquaredDistance (const Capsule &capsule) const
| カプセル距離の二乗
float | getDistance (const Cone &cone) const
| コーン距離
float | getSquaredDistance (const Cone &cone) const
| コーン距離の二乗
float | getDistance (const Line &line) const
| ライン距離
float | getSquaredDistance (const Line &line) const
| ライン距離の二乗
float | getDistance (const OrientedBox &orientedBox) const
| 指向性ボックス距離
float | getSquaredDistance (const OrientedBox &orientedBox) const
| 指向性ボックス距離の二乗
float | getDistance (const Plane &plane) const
| 平面距離
float | getSquaredDistance (const Plane &plane) const
| 平面距離の二乗
float | getDistance (const Ray &ray) const
| レイ距離
float | getSquaredDistance (const Ray &ray) const
| レイ距離の二乗
float | getDistance (const Segment &segment) const
| セグメント距離
float | getSquaredDistance (const Segment &segment) const
| セグメント距離の二乗
float | getDistance (const Sphere &sphere) const
| 球距離
float | getSquaredDistance (const Sphere &sphere) const
| 球距離の二乗
float | getDistance (const Triangle &triangle) const
| 三角距離
float | getSquaredDistance (const Triangle &triangle) const
| 三角距離の二乗
bool | intersect (const Vector3 &point) const
| 点交差
bool | intersect (const AxisAlignedBox &axisAlignedBox) const
| 軸沿いボックス交差
bool | intersect (const Capsule &capsule) const
| カプセル交差
bool | intersect (const Cone &cone) const
| コーン交差
bool | intersect (const Line &line) const
| ライン交差
bool | intersect (const OrientedBox &orientedBox) const
| 指向性ボックス交差
bool | intersect (const Plane &plane) const
| 平面交差
bool | intersect (const Ray &ray) const
| レイ交差
bool | intersect (const Segment &segment) const
| セグメント交差
bool | intersect (const Sphere &sphere) const
| 球交差
bool | intersect (const Triangle &triangle) const
| 三角交差
bool | operator== (const OrientedBox &target) const
| 指向性ボックスが同じかどうか
bool | epsilonEquals (const OrientedBox &target, float epsilon) const
| 指向性ボックスが同じかどうか
bool | operator!= (const OrientedBox &target) const
| 指向性ボックスが同じでないかどうか
bool | notEpsilonEquals (const OrientedBox &target, float epsilon) const
| 指向性ボックスが同じでないかどうか
String | toString () const
| 文字列化
## Static Public Attributes
const OrientedBox | zero
| ゼロボックス
const OrientedBox | unit
| 単位ボックス

## Detailed Description

指向性ボックス

このクラスは継承しないで下さい。

Definition at line 51 of file OrientedBox.h.

## Constructor & Destructor Documentation

Lamp::OrientedBox::OrientedBox | ( |  | ) | `[inline]`

| コンストラクタ このコンストラクタは初期値の設定を行わないため値は不定です。 Definition at line 70 of file OrientedBox.h.

Lamp::OrientedBox::OrientedBox | ( | const Matrix33 & | rotationMatrix,
|  | const Vector3 & | center,
|  | const Vector3 & | extent
| ) | `[inline]`

  | コンストラクタ Parameters:
  rotationMatrix | 回転行列の初期値
  center | 中心の初期値
  extent | 大きさの初期値
Definition at line 78 of file OrientedBox.h. References Assert, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

Lamp::OrientedBox::OrientedBox | ( | float | rotation00,
|  | float | rotation01,
|  | float | rotation02,
|  | float | rotation10,
|  | float | rotation11,
|  | float | rotation12,
|  | float | rotation20,
|  | float | rotation21,
|  | float | rotation22,
|  | float | centerX,
|  | float | centerY,
|  | float | centerZ,
|  | float | extentX,
|  | float | extentY,
|  | float | extentZ
| ) | `[inline]`

  | コンストラクタ Parameters:
  rotation00 | 回転行列のm00初期値
  rotation01 | 回転行列のm01初期値
  rotation02 | 回転行列のm02初期値
  rotation10 | 回転行列のm10初期値
  rotation11 | 回転行列のm11初期値
  rotation12 | 回転行列のm12初期値
  rotation20 | 回転行列のm20初期値
  rotation21 | 回転行列のm21初期値
  rotation22 | 回転行列のm22初期値
  centerX | 中心Xの初期値
  centerY | 中心Yの初期値
  centerZ | 中心Zの初期値
  extentX | 大きさXの初期値
  extentY | 大きさYの初期値
  extentZ | 大きさZの初期値
Definition at line 102 of file OrientedBox.h. References Assert, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

Lamp::OrientedBox::OrientedBox | ( | const float *const | source | ) | `[inline, explicit]`

  | コンストラクタ Parameters:
  source | 初期値配列
Definition at line 120 of file OrientedBox.h. References Assert, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

## Member Function Documentation

bool Lamp::OrientedBox::epsilonEquals | ( | const OrientedBox & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 指向性ボックスが同じかどうか Parameters:
  target | 比較する指向性ボックス
  epsilon | 誤差
Returns: 誤差の範囲内で同じ値であればtrueを返す Definition at line 828 of file OrientedBox.h. References Assert, center_, Lamp::Vector3::epsilonEquals(), Lamp::Matrix33::epsilonEquals(), extent_, and rotationMatrix_.

Vector3 Lamp::OrientedBox::getAxis | ( | int | index | ) | const`[inline]`

  | 軸の取得 Parameters:
  index | 軸インデックス
Returns: 軸ベクトル Definition at line 266 of file OrientedBox.h. References Assert, and Lamp::Matrix33::m.

Vector3 Lamp::OrientedBox::getAxisX | ( |  | ) | const`[inline]`

| X軸の取得. Returns: X軸ベクトル Definition at line 276 of file OrientedBox.h. References Lamp::Matrix33::m00, Lamp::Matrix33::m01, and Lamp::Matrix33::m02.

Vector3 Lamp::OrientedBox::getAxisY | ( |  | ) | const`[inline]`

| Y軸の取得. Returns: Y軸ベクトル Definition at line 285 of file OrientedBox.h. References Lamp::Matrix33::m10, Lamp::Matrix33::m11, and Lamp::Matrix33::m12.

Vector3 Lamp::OrientedBox::getAxisZ | ( |  | ) | const`[inline]`

| Z軸の取得. Returns: X軸ベクトル Definition at line 294 of file OrientedBox.h. References Lamp::Matrix33::m20, Lamp::Matrix33::m21, and Lamp::Matrix33::m22.

const Vector3& Lamp::OrientedBox::getCenter | ( |  | ) | const`[inline]`

| 中心の取得 Returns: 中心 Definition at line 246 of file OrientedBox.h. Referenced by Lamp::OrientedBoxIntersection::intersect().

Vector3 Lamp::OrientedBox::getCorner | ( | int | index | ) | const`[inline]`

| コーナーの取得 以下の図のインデックスに沿ってコーナーを取得します。 0が中心で4が大きさです。
         y+
         |
         1----2
        /|   /|
       5-+--4 |
       | 0--+-3-- x+
       |/   |/
       6----7
      /
     z+
  Parameters:
  index | インデックス
Returns: コーナー Definition at line 382 of file OrientedBox.h. References Assert, ErrorOut, getExtendedAxisX(), getExtendedAxisY(), and getExtendedAxisZ().

void Lamp::OrientedBox::getCornerArray | ( | Vector3 | corner[8] | ) | const`[inline]`

| コーナー配列の取得 以下の図のインデックスに沿ってコーナーを取得します。 0が中心で4が大きさです。
         y+
         |
         1----2
        /|   /|
       5-+--4 |
       | 0--+-3-- x+
       |/   |/
       6----7
      /
     z+
  Parameters:
  corner | [out] コーナー配列
Definition at line 427 of file OrientedBox.h. References getExtendedAxisX(), getExtendedAxisY(), and getExtendedAxisZ(). Referenced by scaledTransform().

float Lamp::OrientedBox::getDistance | ( | const Triangle & | triangle | ) | const`[inline]`

  | 三角距離 Parameters:
  triangle | 距離判定する三角
Returns: 距離 Definition at line 708 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Sphere & | sphere | ) | const`[inline]`

  | 球距離 Parameters:
  sphere | 距離判定する球
Returns: 距離 Definition at line 691 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Segment & | segment | ) | const`[inline]`

  | セグメント距離 Parameters:
  segment | 距離判定するセグメント
Returns: 距離 Definition at line 674 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Ray & | ray | ) | const`[inline]`

  | レイ距離 Parameters:
  ray | 距離判定するレイ
Returns: 距離 Definition at line 657 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Plane & | plane | ) | const

  | 平面距離 Parameters:
  plane | 距離判定する平面
Returns: 距離 Definition at line 122 of file OrientedBox.cpp.

float Lamp::OrientedBox::getDistance | ( | const OrientedBox & | orientedBox | ) | const`[inline]`

  | 指向性ボックス距離 Parameters:
  orientedBox | 距離判定する指向性ボックス
Returns: 距離 Definition at line 622 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Line & | line | ) | const`[inline]`

  | ライン距離 Parameters:
  line | 距離判定するライン
Returns: 距離 Definition at line 605 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Cone & | cone | ) | const`[inline]`

  | コーン距離 Parameters:
  cone | 距離判定するコーン
Returns: 距離 Definition at line 588 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Capsule & | capsule | ) | const`[inline]`

  | カプセル距離 Parameters:
  capsule | 距離判定するカプセル
Returns: 距離 Definition at line 571 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const AxisAlignedBox & | axisAlignedBox | ) | const`[inline]`

  | 軸沿いボックス距離 Parameters:
  axisAlignedBox | 距離判定する軸沿いボックス
Returns: 距離 Definition at line 554 of file OrientedBox.h. References getSquaredDistance().

float Lamp::OrientedBox::getDistance | ( | const Vector3 & | point | ) | const`[inline]`

  | 点距離 Parameters:
  point | 距離判定する点
Returns: 距離 Definition at line 537 of file OrientedBox.h. References getSquaredDistance(). Referenced by getSquaredDistance().

float Lamp::OrientedBox::getEffectiveDiameter | ( | const Vector3 & | direction | ) | const`[inline]`

  | 実効直径の取得 Parameters:
  direction | 実効直径を測る方向
Returns: 実効直径 Definition at line 346 of file OrientedBox.h. References Lamp::Vector3::dotProduct(). Referenced by getEffectiveRadius(), and Lamp::OrientedBoxIntersection::intersect().

float Lamp::OrientedBox::getEffectiveRadius | ( | const Vector3 & | direction | ) | const`[inline]`

  | 実効半径の取得 Parameters:
  direction | 実効直径を測る方向
Returns: 実効半径 Definition at line 357 of file OrientedBox.h. References getEffectiveDiameter().

Vector3 Lamp::OrientedBox::getExtendedAxis | ( | int | index | ) | const`[inline]`

  | 大きさを適用した軸の取得 Parameters:
  index | 軸インデックス
Returns: 大きさを適用した軸ベクトル Definition at line 305 of file OrientedBox.h. References Lamp::Vector3::array, Assert, and Lamp::Matrix33::m.

Vector3 Lamp::OrientedBox::getExtendedAxisX | ( |  | ) | const`[inline]`

| 大きさを適用したX軸の取得 Returns: 大きさを適用したX軸ベクトル Definition at line 317 of file OrientedBox.h. References Lamp::Matrix33::m00, Lamp::Matrix33::m01, Lamp::Matrix33::m02, and Lamp::Vector3::x. Referenced by getCorner(), and getCornerArray().

Vector3 Lamp::OrientedBox::getExtendedAxisY | ( |  | ) | const`[inline]`

| 大きさを適用したY軸の取得 Returns: 大きさを適用したY軸ベクトル Definition at line 326 of file OrientedBox.h. References Lamp::Matrix33::m10, Lamp::Matrix33::m11, Lamp::Matrix33::m12, and Lamp::Vector3::y. Referenced by getCorner(), and getCornerArray().

Vector3 Lamp::OrientedBox::getExtendedAxisZ | ( |  | ) | const`[inline]`

| 大きさを適用したZ軸の取得 Returns: 大きさを適用したX軸ベクトル Definition at line 335 of file OrientedBox.h. References Lamp::Matrix33::m20, Lamp::Matrix33::m21, Lamp::Matrix33::m22, and Lamp::Vector3::z. Referenced by getCorner(), and getCornerArray().

const Vector3& Lamp::OrientedBox::getExtent | ( |  | ) | const`[inline]`

| 大きさの取得 Returns: 大きさ Definition at line 252 of file OrientedBox.h.

const Matrix33& Lamp::OrientedBox::getRotationMatrix | ( |  | ) | const`[inline]`

| 回転行列の取得 Returns: 回転行列 Definition at line 240 of file OrientedBox.h.

Vector3 Lamp::OrientedBox::getSize | ( |  | ) | const`[inline]`

| サイズの取得 Returns: サイズ Definition at line 258 of file OrientedBox.h.

float Lamp::OrientedBox::getSquaredDistance | ( | const Triangle & | triangle | ) | const

  | 三角距離の二乗 Parameters:
  triangle | 距離判定する三角
Returns: 距離の二乗 Definition at line 142 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Sphere & | sphere | ) | const

  | 球距離の二乗 Parameters:
  sphere | 距離判定する球
Returns: 距離の二乗 Definition at line 137 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Segment & | segment | ) | const

  | セグメント距離の二乗 Parameters:
  segment | 距離判定するセグメント
Returns: 距離の二乗 Definition at line 132 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Ray & | ray | ) | const

  | レイ距離の二乗 Parameters:
  ray | 距離判定するレイ
Returns: 距離の二乗 Definition at line 127 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Plane & | plane | ) | const`[inline]`

  | 平面距離の二乗 Parameters:
  plane | 距離判定する平面
Returns: 距離の二乗 Definition at line 646 of file OrientedBox.h. References getDistance().

float Lamp::OrientedBox::getSquaredDistance | ( | const OrientedBox & | orientedBox | ) | const

  | 指向性ボックス距離の二乗 Parameters:
  orientedBox | 距離判定する指向性ボックス
Returns: 距離の二乗 Definition at line 116 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Line & | line | ) | const

  | ライン距離の二乗 Parameters:
  line | 距離判定するライン
Returns: 距離の二乗 Definition at line 111 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Cone & | cone | ) | const

  | コーン距離の二乗 Parameters:
  cone | 距離判定するコーン
Returns: 距離の二乗 Definition at line 106 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Capsule & | capsule | ) | const

  | カプセル距離の二乗 Parameters:
  capsule | 距離判定するカプセル
Returns: 距離の二乗 Definition at line 101 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const AxisAlignedBox & | axisAlignedBox | ) | const

  | 軸沿いボックス距離の二乗 Parameters:
  axisAlignedBox | 距離判定する軸沿いボックス
Returns: 距離の二乗 Definition at line 95 of file OrientedBox.cpp.

float Lamp::OrientedBox::getSquaredDistance | ( | const Vector3 & | point | ) | const

  | 点距離の二乗 Parameters:
  point | 距離判定する点
Returns: 距離の二乗 Definition at line 90 of file OrientedBox.cpp. Referenced by getDistance().

bool Lamp::OrientedBox::intersect | ( | const Triangle & | triangle | ) | const

  | 三角交差 Parameters:
  triangle | 交差判定する三角
Returns: 交差していればtrue Definition at line 199 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Sphere & | sphere | ) | const

  | 球交差 Parameters:
  sphere | 交差判定する球
Returns: 交差していればtrue Definition at line 194 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Segment & | segment | ) | const

  | セグメント交差 Parameters:
  segment | 交差判定するセグメント
Returns: 交差していればtrue Definition at line 189 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Ray & | ray | ) | const

  | レイ交差 Parameters:
  ray | 交差判定するレイ
Returns: 交差していればtrue Definition at line 184 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Plane & | plane | ) | const

  | 平面交差 Parameters:
  plane | 交差判定する平面
Returns: 交差していればtrue Definition at line 179 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const OrientedBox & | orientedBox | ) | const

  | 指向性ボックス交差 Parameters:
  orientedBox | 交差判定する指向性ボックス
Returns: 交差していればtrue Definition at line 174 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Line & | line | ) | const

  | ライン交差 Parameters:
  line | 交差判定するライン
Returns: 交差していればtrue Definition at line 169 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Cone & | cone | ) | const

  | コーン交差 Parameters:
  cone | 交差判定するコーン
Returns: 交差していればtrue Definition at line 164 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Capsule & | capsule | ) | const

  | カプセル交差 Parameters:
  capsule | 交差判定するカプセル
Returns: 交差していればtrue Definition at line 159 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const AxisAlignedBox & | axisAlignedBox | ) | const

  | 軸沿いボックス交差 Parameters:
  axisAlignedBox | 交差判定する軸沿いボックス
Returns: 交差していればtrue Definition at line 154 of file OrientedBox.cpp.

bool Lamp::OrientedBox::intersect | ( | const Vector3 & | point | ) | const

  | 点交差 Parameters:
  point | 交差判定する点
Returns: 交差していればtrue Definition at line 149 of file OrientedBox.cpp.

bool Lamp::OrientedBox::isUnit | ( |  | ) | const`[inline]`

| 単位ボックスかどうか Returns: 単位ボックスならtrueを返す Definition at line 457 of file OrientedBox.h. References Lamp::Vector3::epsilonEquals().

bool Lamp::OrientedBox::isZero | ( |  | ) | const`[inline]`

| ゼロボックスかどうか Returns: ゼロボックスならtrueを返す Definition at line 449 of file OrientedBox.h. References Lamp::Vector3::epsilonEquals().

bool Lamp::OrientedBox::notEpsilonEquals | ( | const OrientedBox & | target,
|  | float | epsilon
| ) | const`[inline]`

  | 指向性ボックスが同じでないかどうか Parameters:
  target | 比較する指向性ボックス
  epsilon | 誤差
Returns: 誤差の範囲内で同じでない値であればtrueを返す Definition at line 853 of file OrientedBox.h. References Assert, center_, extent_, Lamp::Vector3::notEpsilonEquals(), Lamp::Matrix33::notEpsilonEquals(), and rotationMatrix_.

bool Lamp::OrientedBox::operator!= | ( | const OrientedBox & | target | ) | const`[inline]`

  | 指向性ボックスが同じでないかどうか Parameters:
  target | 比較する指向性ボックス
Returns: 同じでない値であればtrueを返す Definition at line 842 of file OrientedBox.h. References center_, extent_, and rotationMatrix_.

bool Lamp::OrientedBox::operator== | ( | const OrientedBox & | target | ) | const`[inline]`

  | 指向性ボックスが同じかどうか Parameters:
  target | 比較する指向性ボックス
Returns: 同じ値であればtrueを返す Definition at line 817 of file OrientedBox.h. References center_, extent_, and rotationMatrix_.

AxisAlignedBox Lamp::OrientedBox::scaledTransform | ( | const Matrix44 & | matrix | ) | const

  | スケール有りトランスフォーム Parameters:
  matrix | 乗算する行列
Returns: 変換後の軸沿いボックス Definition at line 77 of file OrientedBox.cpp. References getCornerArray(), Lamp::AxisAlignedBox::merge(), and Lamp::AxisAlignedBox::set().

AxisAlignedBox Lamp::OrientedBox::scaledTransform | ( | const Matrix34 & | matrix | ) | const

  | スケール有りトランスフォーム Parameters:
  matrix | 乗算する行列
Returns: 変換後の軸沿いボックス Definition at line 66 of file OrientedBox.cpp. References getCornerArray(), Lamp::AxisAlignedBox::merge(), and Lamp::AxisAlignedBox::set().

AxisAlignedBox Lamp::OrientedBox::scaledTransform | ( | const Matrix33 & | matrix | ) | const

  | スケール有りトランスフォーム Parameters:
  matrix | 乗算する行列
Returns: 変換後の軸沿いボックス Definition at line 55 of file OrientedBox.cpp. References getCornerArray(), Lamp::AxisAlignedBox::merge(), and Lamp::AxisAlignedBox::set().

void Lamp::OrientedBox::set | ( | const float *const | source | ) | `[inline]`

  | 値の設定 Parameters:
  source | 設定値配列
Definition at line 182 of file OrientedBox.h. References Assert, Lamp::Vector3::set(), Lamp::Matrix33::set(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::OrientedBox::set | ( | float | rotation00,
|  | float | rotation01,
|  | float | rotation02,
|  | float | rotation10,
|  | float | rotation11,
|  | float | rotation12,
|  | float | rotation20,
|  | float | rotation21,
|  | float | rotation22,
|  | float | centerX,
|  | float | centerY,
|  | float | centerZ,
|  | float | extentX,
|  | float | extentY,
|  | float | extentZ
| ) | `[inline]`

  | 値の設定 Parameters:
  rotation00 | 設定する回転行列のm00
  rotation01 | 設定する回転行列のm01
  rotation02 | 設定する回転行列のm02
  rotation10 | 設定する回転行列のm10
  rotation11 | 設定する回転行列のm11
  rotation12 | 設定する回転行列のm12
  rotation20 | 設定する回転行列のm20
  rotation21 | 設定する回転行列のm21
  rotation22 | 設定する回転行列のm22
  centerX | 設定する中心X
  centerY | 設定する中心Y
  centerZ | 設定する中心Z
  extentX | 設定する大きさX
  extentY | 設定する大きさY
  extentZ | 設定する大きさZ
Definition at line 164 of file OrientedBox.h. References Assert, Lamp::Vector3::set(), Lamp::Matrix33::set(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::OrientedBox::set | ( | const Matrix33 & | rotationMatrix,
|  | const Vector3 & | center,
|  | const Vector3 & | extent
| ) | `[inline]`

  | 値の設定 Parameters:
  rotationMatrix | 設定する回転行列
  center | 設定する中心
  extent | 設定する大きさ
Definition at line 138 of file OrientedBox.h. References Assert, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::OrientedBox::setCenter | ( | const Vector3 & | center | ) | `[inline]`

  | 中心の設定 Parameters:
  center | 中心
Definition at line 221 of file OrientedBox.h.

void Lamp::OrientedBox::setExtent | ( | const Vector3 & | extent | ) | `[inline]`

  | 大きさの設定 Parameters:
  extent | 大きさ
Definition at line 228 of file OrientedBox.h. References Assert, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::OrientedBox::setRotationMatrix | ( | const Matrix33 & | rotationMatrix | ) | `[inline]`

  | 回転行列の設定 Parameters:
  rotationMatrix | 回転行列
Definition at line 196 of file OrientedBox.h.

void Lamp::OrientedBox::setRotationQuaternion | ( | const Quaternion & | rotationQuaternion | ) | `[inline]`

  | 四元数回転の設定 Parameters:
  rotationQuaternion | 四元数回転
Definition at line 212 of file OrientedBox.h. References Lamp::Matrix33::setRotationQuaternion().

void Lamp::OrientedBox::setRotationXYZ | ( | const Vector3 | rotationXYZ | ) | `[inline]`

  | XYZ回転の設定. Parameters:
  rotationXYZ | XYZ回転
Definition at line 204 of file OrientedBox.h. References Lamp::Matrix33::setRotationXYZ().

String Lamp::OrientedBox::toString | ( |  | ) | const`[inline]`

| 文字列化 Returns: 指向性ボックスの文字列表記 Definition at line 869 of file OrientedBox.h. References Lamp::String::format(), Lamp::Matrix33::m00, Lamp::Matrix33::m01, Lamp::Matrix33::m02, Lamp::Matrix33::m10, Lamp::Matrix33::m11, Lamp::Matrix33::m12, Lamp::Matrix33::m20, Lamp::Matrix33::m21, Lamp::Matrix33::m22, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

OrientedBox Lamp::OrientedBox::transform | ( | const Matrix44 & | matrix | ) | const`[inline]`

  | トランスフォーム Parameters:
  matrix | 乗算する行列
Returns: 変換後の指向性ボックス Definition at line 497 of file OrientedBox.h. References center_, extent_, rotationMatrix_, and Lamp::Matrix33::set().

OrientedBox Lamp::OrientedBox::transform | ( | const Matrix34 & | matrix | ) | const`[inline]`

  | トランスフォーム Parameters:
  matrix | 乗算する行列
Returns: 変換後の指向性ボックス Definition at line 482 of file OrientedBox.h. References center_, extent_, rotationMatrix_, and Lamp::Matrix33::set().

OrientedBox Lamp::OrientedBox::transform | ( | const Matrix33 & | matrix | ) | const`[inline]`

  | トランスフォーム Parameters:
  matrix | 乗算する行列
Returns: 変換後の指向性ボックス Definition at line 469 of file OrientedBox.h. References center_, extent_, and rotationMatrix_.

The documentation for this class was generated from the following files:

- OrientedBox.h
- OrientedBox.cpp